2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.DiscImages.csproj: Added project for
	  separation of engine from CLI.

2017-05-23  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugin.cs: Added support for Xbox security sector.

2017-05-23  Natalia Portillo  <claunia@claunia.com>

	* Alcohol120.cs:
	* BlindWrite5.cs: Added XGD3 detection (by its size).

2017-05-20  Natalia Portillo  <claunia@claunia.com>

	* packages.config:
	* DiscImageChef.DiscImages.csproj: Updated dependencies.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* BLU.cs:
	* CHD.cs:
	* GDI.cs:
	* QED.cs:
	* VHD.cs:
	* VDI.cs:
	* DIM.cs:
	* NDIF.cs:
	* UDIF.cs:
	* VHDX.cs:
	* Nero.cs:
	* QCOW.cs:
	* DART.cs:
	* QCOW2.cs:
	* CPCDSK.cs:
	* VMware.cs:
	* CopyQM.cs:
	* CDRDAO.cs:
	* CDRWin.cs:
	* CloneCD.cs:
	* AppleNIB.cs:
	* TeleDisk.cs:
	* Apple2MG.cs:
	* Parallels.cs:
	* ImageInfo.cs:
	* DiskCopy42.cs:
	* Alcohol120.cs:
	* BlindWrite5.cs:
	* DiscJuggler.cs:
	* BlindWrite4.cs:
	* ZZZRawImage.cs:
	* ImagePlugin.cs:
	* AssemblyInfo.cs: Updated copyright string.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs: Bumped version to 3.3.99.0.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* packages.config:
	* README.txt:
	* LICENSE.txt:
	* ChangeLog.txt:
	* index.xml:
	* index.html:
	* DiscImageChef.DiscImages.csproj:
	* ns-Claunia.PropertyList.xml:
	* UID.xml:
	* UID.html:
	* NSSet.xml:
	* index.html:
	* NSData.xml:
	* NSDate.xml:
	* NSSet.html:
	* NSData.html:
	* NSArray.xml:
	* NSDate.html:
	* NSNumber.xml:
	* NSObject.xml:
	* NSString.xml:
	* NSArray.html:
	* NSObject.html:
	* NSNumber.html:
	* NSString.html:
	* NSDictionary.xml:
	* NSDictionary.html:
	* PropertyListParser.xml:
	* PropertyListParser.html:
	* XmlPropertyListParser.xml:
	* XmlPropertyListParser.html:
	* ASCIIPropertyListParser.xml:
	* BinaryPropertyListWriter.xml:
	* BinaryPropertyListParser.xml:
	* ASCIIPropertyListParser.html:
	* BinaryPropertyListWriter.html:
	* BinaryPropertyListParser.html:
	* PropertyListFormatException.xml:
	* PropertyListFormatException.html: Updated NuGet packages.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.DiscImages.csproj: Upped version to 3.3.99.0.
	  Do not use version from solution on library projects.

2016-10-17  Natalia Portillo  <claunia@claunia.com>

	* CHD.cs: Added PCMCIA support.

2016-10-10  Natalia Portillo  <claunia@claunia.com>

	* DiscJuggler.cs:
	* DiscImageChef.DiscImages.csproj: Adds support for
	DiscJuggler images, closes #56

2016-10-10  Natalia Portillo  <claunia@claunia.com>

	* CloneCD.cs: Correct subchannel reading.

2016-10-08  Natalia Portillo  <claunia@claunia.com>

	* CloneCD.cs:
	* DiscImageChef.DiscImages.csproj: Adds support for CloneCD
	images, closes #57.

2016-10-07  Natalia Portillo  <claunia@claunia.com>

	* AppleNIB.cs:
	* DiscImageChef.DiscImages.csproj: Adds support for Apple
	nibble disk images.

2016-09-30  Natalia Portillo  <claunia@claunia.com>

	* NDIF.cs:
	* UDIF.cs: Add support for ADC compressed images.

2016-09-30  Natalia Portillo  <claunia@claunia.com>

	* NDIF.cs: Fail on StuffIt compressed images.

2016-09-30  Natalia Portillo  <claunia@claunia.com>

	* CHD.cs:
	* QCOW.cs:
	* UDIF.cs:
	* QCOW2.cs:
	* packages.config:
	* DiscImageChef.DiscImages.csproj: Updated SharpCompress to
	0.13.0

2016-09-07  Natalia Portillo  <claunia@claunia.com>

	* NDIF.cs:
	* UDIF.cs: Added new possible compression algorithms and field
	names from DiskImages.framework.

2016-09-06  Natalia Portillo  <claunia@claunia.com>

	* NDIF.cs:
	* DiscImageChef.DiscImages.csproj: Adds support for Apple NDIF
	images, closes #47

	* UDIF.cs:
	* DiskCopy42.cs: Try to get and use "vers" resource from the
	Resource Fork to get ImageApplication and its version.

2016-09-05  Natalia Portillo  <claunia@claunia.com>

	* CDRWin.cs: Show correct filename from filter.

2016-09-05  Natalia Portillo  <claunia@claunia.com>

	* GDI.cs:
	* VDI.cs:
	* VHD.cs:
	* DIM.cs:
	* BLU.cs:
	* QED.cs:
	* UDIF.cs:
	* QCOW.cs:
	* VHDX.cs:
	* Nero.cs:
	* QCOW2.cs:
	* CDRWin.cs:
	* CopyQM.cs:
	* CPCDSK.cs:
	* VMware.cs:
	* CDRDAO.cs:
	* TeleDisk.cs:
	* Apple2MG.cs:
	* Parallels.cs:
	* DiskCopy42.cs:
	* Alcohol120.cs:
	* ImagePlugin.cs:
	* BlindWrite5.cs:
	* BlindWrite4.cs:
	* ZZZRawImage.cs:
	* DiscImageChef.DiscImages.csproj: Added filters.

2016-09-02  Natalia Portillo  <claunia@claunia.com>

	* UDIF.cs:
	* packages.config:
	* README.txt:
	* LICENSE.txt:
	* ChangeLog.txt:
	* index.xml:
	* index.html:
	* DiscImageChef.DiscImages.csproj:
	* ns-Claunia.PropertyList.xml:
	* UID.xml:
	* UID.html:
	* NSSet.xml:
	* index.html:
	* NSData.xml:
	* NSSet.html:
	* NSDate.xml:
	* NSArray.xml:
	* NSData.html:
	* NSDate.html:
	* NSObject.xml:
	* NSNumber.xml:
	* NSString.xml:
	* NSArray.html:
	* NSObject.html:
	* NSNumber.html:
	* NSString.html:
	* NSDictionary.xml:
	* NSDictionary.html:
	* PropertyListParser.xml:
	* PropertyListParser.html:
	* XmlPropertyListParser.xml:
	* XmlPropertyListParser.html:
	* ASCIIPropertyListParser.xml:
	* BinaryPropertyListParser.xml:
	* BinaryPropertyListWriter.xml:
	* ASCIIPropertyListParser.html:
	* BinaryPropertyListWriter.html:
	* BinaryPropertyListParser.html:
	* PropertyListFormatException.xml:
	* PropertyListFormatException.html: Added support for UDIF
	images, closes #46.

2016-08-30  Natalia Portillo  <claunia@claunia.com>

	* VMware.cs:
	* DiscImageChef.DiscImages.csproj: Added support for VMware
	disk images, closes #39

2016-08-29  Natalia Portillo  <claunia@claunia.com>

	* VHDX.cs:
	* DiscImageChef.DiscImages.csproj: Adds support for VHDX
	images, closes #42

2016-08-27  Natalia Portillo  <claunia@claunia.com>

	* VDI.cs:
	* DiscImageChef.DiscImages.csproj: Added support for
	VirtualBox images, closes #40.

	* Parallels.cs: Corrected debug typo.

2016-08-27  Natalia Portillo  <claunia@claunia.com>

	* Parallels.cs:
	* DiscImageChef.DiscImages.csproj: Adds support for Parallels
	Hard Disk Image (HDD) version 2.

	* QCOW2.cs: Removed spurious debug line.

2016-08-27  Natalia Portillo  <claunia@claunia.com>

	* QCOW2.cs:
	* DiscImageChef.DiscImages.csproj: Add support for QCOW2
	images, closes #44.

	* QED.cs:
	* QCOW.cs: Code cleanup and format.

2016-08-26  Natalia Portillo  <claunia@claunia.com>

	* QED.cs:
	* DiscImageChef.DiscImages.csproj: Added support for QEMU
	Enhanced Disk, closes #38

	* QCOW.cs: Corrected header.

2016-08-26  Natalia Portillo  <claunia@claunia.com>

	* QCOW.cs:
	* DiscImageChef.DiscImages.csproj: Added support for QEMU
	Copy-On-Write disk image, closes #43.

2016-08-26  Natalia Portillo  <claunia@claunia.com>

	* CPCDSK.cs:
	* DiscImageChef.DiscImages.csproj: Added CPCEMU Disk File and
	Extended Disk File.

2016-08-26  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugin.cs: Added floppy address mark sector tag.

2016-08-22  Natalia Portillo  <claunia@claunia.com>

	* ZZZRawImage.cs: Detect X68000 SASI hard disks that use 256
	bytes/sector.
	Correct size of ECMA-154 magnetoptical.

2016-08-21  Natalia Portillo  <claunia@claunia.com>

	* DIM.cs:
	* DiscImageChef.DiscImages.csproj: Added support for X68k .DIM
	format.

	* BLU.cs:
	* GDI.cs:
	* Nero.cs:
	* CopyQM.cs:
	* CDRDAO.cs:
	* CDRWin.cs:
	* TeleDisk.cs:
	* Apple2MG.cs:
	* DiskCopy42.cs:
	* Alcohol120.cs:
	* BlindWrite5.cs:
	* BlindWrite4.cs:
	* ZZZRawImage.cs: In verbose show disk image type and
	comments.

2016-08-18  Natalia Portillo  <claunia@claunia.com>

	* BlindWrite5.cs:
	* DiscImageChef.DiscImages.csproj: Added support for
	BlindWrite 5 format, this closes #58.

2016-08-18  Natalia Portillo  <claunia@claunia.com>

	* BLU.cs:
	* GDI.cs:
	* VHD.cs:
	* Nero.cs:
	* CopyQM.cs:
	* CDRDAO.cs:
	* CDRWin.cs:
	* TeleDisk.cs:
	* Apple2MG.cs:
	* ImageInfo.cs:
	* Alcohol120.cs:
	* DiskCopy42.cs:
	* ZZZRawImage.cs: Added field for drive firmware revision.

	* BlindWrite4.cs: Added field for drive firmware revision.
	Change subchannel informative exception.
	Change application name and version.

	* ImagePlugin.cs: Added subchannel types for Q only.

2016-08-17  Natalia Portillo  <claunia@claunia.com>

	* BlindWrite4.cs:
	* DiscImageChef.DiscImages.csproj: Added support for
	BlindWrite 4 disc images.

2016-08-17  Natalia Portillo  <claunia@claunia.com>

	* Alcohol120.cs: Corrected disc type calculation.

	* Nero.cs: Corrected debug output.

2016-08-09  Natalia Portillo  <claunia@claunia.com>

	* Alcohol120.cs: Missed code to return PFI and DMI from disc
	image.

2016-08-09  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.DiscImages.csproj: Bumped version to 3.2.99.2.

2016-08-09  Natalia Portillo  <claunia@claunia.com>

	* Alcohol120.cs:
	* DiscImageChef.DiscImages.csproj: Added support for Alcohol
	120% Media Descriptor Structure disk images (.mds/.mdf).
	Resolves #55.

2016-08-09  Natalia Portillo  <claunia@claunia.com>

	* CDRWin.cs: Corrected return of CD+G data, should return all
	2448 bytes.

2016-08-08  Natalia Portillo  <claunia@claunia.com>

	* CDRDAO.cs: Corrected typo on audio track matching.

	* CDRWin.cs: Corrected detection of images with CD-Text.
	Do not output partitions for index 0.


	* CopyQM.cs: Do not create debug image output.

	* Nero.cs: Added type for any dvd seen on old Nero version.
	Corrected handling of images where pregap is not indicated
	(nonetheless, Nero stores them).
	Corrected handling of track 1 (Lead-In is stored there).
	Corrected session count in discs with 1 session.
	Do not add partitions of index 0.
	Corrected partition start offset of disc start.
	Guess disc type for old Nero discs.
	Corrected output of Mode2 sectors stored in RAW mode.
	Do not throw exceptions on values that should be returned
	empty or null if not supported by image format.

2016-08-07  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.DiscImages.csproj: Public beta release
	3.2.99.1.

2016-08-07  Natalia Portillo  <claunia@claunia.com>

	* CopyQM.cs:
	* DiscImageChef.DiscImages.csproj: Added support for Sydex
	CopyQM disk image format.

	* DiskCopy42.cs: Misplacement of XML media type setting.

2016-08-02  Natalia Portillo  <claunia@claunia.com>

	* BLU.cs:
	* DiscImageChef.DiscImages.csproj: Added support for Basic
	Lisa Utility.

	* Apple2MG.cs: Added CiderPress creator.

	* CDRWin.cs: Changed RegExs so words must be exact.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs:
	* DiscImageChef.DiscImages.csproj: Bumped to version 3.2.1.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs:
	* DiscImageChef.DiscImages.csproj: Bump to version 3.2.0

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* DiskCopy42.cs: Lisa Twiggies and Macintosh Twiggies use a
	different track order. Detect a Macintosh File System to know
	which re-ordering to use.

2016-07-31  Natalia Portillo  <claunia@claunia.com>

	* DiskCopy42.cs: Swap tracks in second half of twiggy images.

2016-07-29  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.DiscImages.csproj: Bump to version 3.1.0.

2016-07-28  Natalia Portillo  <claunia@claunia.com>

	* DiskCopy42.cs:
	* DiscImageChef.DiscImages.csproj: Code re-styling.

2016-07-28  Natalia Portillo  <claunia@claunia.com>

	* VHD.cs:
	* GDI.cs:
	* Nero.cs:
	* CDRDAO.cs:
	* CDRWin.cs:
	* Apple2MG.cs:
	* TeleDisk.cs:
	* ImageInfo.cs:
	* DiskCopy42.cs:
	* ImagePlugin.cs:
	* ZZZRawImage.cs: Refactor and code cleanup.

2016-02-03  Natalia Portillo  <claunia@claunia.com>

	* CDRWin.cs:
	  Corrected CD-ROM XA vs CD-ROM detection.

2016-01-16  Natalia Portillo  <claunia@claunia.com>

	* VHD.cs:
	* GDI.cs:
	* Nero.cs:
	* CDRDAO.cs:
	* CDRWin.cs:
	* Apple2MG.cs:
	* TeleDisk.cs:
	* ImageInfo.cs:
	* DiskCopy42.cs:
	* ImagePlugin.cs:
	* ZZZRawImage.cs:
	  Refactor most disk references to media.

2015-12-31  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugin.cs:
	  Added DiskTag for PCMCIA CIS and SecureDigital/MMC CID, CSD
	  and extended CSD.

2015-12-25  Natalia Portillo  <claunia@claunia.com>

	* GDI.cs:
	* DiscImageChef.DiscImages.csproj:
	  Added support for Dreamcast GDI images.

	* ImagePlugin.cs:
	  Add XML documentation to exceptions.

2015-12-23  Natalia Portillo  <claunia@claunia.com>

	* CDRDAO.cs:
	* DiscImageChef.DiscImages.csproj:
	  Added support for cdrdao images. Solves #53

	* CDRWin.cs:
	  Implemented FLAGS field support and
	  quadraphonic/broadcasting flag.
	Return CD track flags for any track type.

2015-12-06  Natalia Portillo  <claunia@claunia.com>

	* CDRWin.cs:
	* TeleDisk.cs:
	* DiskCopy42.cs:
	  Move comments to XML documentation.

2015-12-06  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugin.cs:
	  Added documentation.

2015-12-06  Natalia Portillo  <claunia@claunia.com>

	* CDRWin.cs:
	  Added extra track information.
	Corrected ReadLong for CD+G, subchannel should never come
	  along main channel on reading.

	* ImagePlugin.cs:
	  Added extra track information.
	Added audio media type.

	* Nero.cs:
	  Added extra track information.

	* ZZZRawImage.cs:
	  Added support for ReadLong and a single track and session
	  for optical discs.

2015-12-05  Natalia Portillo  <claunia@claunia.com>

	* VHD.cs:
	* Nero.cs:
	* CDRWin.cs:
	* Apple2MG.cs:
	* TeleDisk.cs:
	* ImageInfo.cs:
	* DiskCopy42.cs:
	* ImagePlugin.cs:
	* ZZZRawImage.cs:
	  Added hint for XML metadata creator to know which kind of
	  media the image represents.

2015-11-23  Natalia Portillo  <claunia@claunia.com>

	* VHD.cs:
	* Nero.cs:
	* CDRWin.cs:
	* Apple2MG.cs:
	* TeleDisk.cs:
	* ImageInfo.cs:
	* DiskCopy42.cs:
	* ImagePlugin.cs:
	* ZZZRawImage.cs:
	  Moved DiskType to commons.

2015-11-09  Natalia Portillo  <claunia@claunia.com>

	* CDRWin.cs:
	  Corrected typo in track calculation.

2015-11-09  Natalia Portillo  <claunia@claunia.com>

	* CDRWin.cs:
	  Corrected partition start and length calculations.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.DiscImages.csproj:
	  Upgrade .NET version to 4.0.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugin.cs:
	  Added ATA/ATAPI IDENTIFY DEVICE disk tags.

2015-10-18  Natalia Portillo  <claunia@claunia.com>

	* VHD.cs:
	* Nero.cs:
	* CDRWin.cs:
	* Apple2MG.cs:
	* TeleDisk.cs:
	* DiskCopy42.cs:
	* DiscImageChef.DiscImages.csproj:
	  Added specific console handling for standard, verbose, debug
	  and error outputs.

2015-10-05  Natalia Portillo  <claunia@claunia.com>

	* VHD.cs:
	* Nero.cs:
	* CDRWin.cs:
	* TeleDisk.cs:
	* Apple2MG.cs:
	* ImageInfo.cs:
	* DiskCopy42.cs:
	* ImagePlugin.cs:
	* ZZZRawImage.cs:
	* Properties/AssemblyInfo.cs:
	* DiscImageChef.DiscImages.csproj:
	  Moved disc image plugins to a separate library.

